/*
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.crypto.provider.hsm.cryptoprovider.util;

/**
 * This class keeps required constants for Crypto Handler operations.
 */
public class CryptoConstants {

    public static final int ENCRYPT_MODE = 1;
    public static final int DECRYPT_MODE = 2;
    public static final int SIGN_MODE = 3;
    public static final int VERIFY_MODE = 4;

    public static class KeyType {

        public static final String AES = "AES";
        public static final String DES = "DES";
        public static final String DES2 = "DES2";
        public static final String DESede = "DESede";
        public static final String DES3 = "3DES";
    }
}
